## org.apache.lucene.index
Class AssertingAtomicReader

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.index.AtomicReader
              org.apache.lucene.index.FilterAtomicReader
                  org.apache.lucene.index.AssertingAtomicReader

All Implemented Interfaces:
  Closeable

    public class AssertingAtomicReader

extends FilterAtomicReader

A `FilterAtomicReader` that can be used to apply additional checks for tests.

Nested Class Summary
`static class` `AssertingAtomicReader.AssertingBinaryDocValues` Wraps a BinaryDocValues but with additional asserts
`static class` `AssertingAtomicReader.AssertingFields` Wraps a Fields but with additional asserts
`static class` `AssertingAtomicReader.AssertingNumericDocValues` Wraps a NumericDocValues but with additional asserts
`static class` `AssertingAtomicReader.AssertingSortedDocValues` Wraps a SortedDocValues but with additional asserts
`static class` `AssertingAtomicReader.AssertingSortedSetDocValues` Wraps a SortedSetDocValues but with additional asserts
`static class` `AssertingAtomicReader.AssertingTerms` Wraps a Terms but with additional asserts

Nested classes/interfaces inherited from class org.apache.lucene.index.FilterAtomicReader
`FilterAtomicReader.FilterDocsAndPositionsEnum, FilterAtomicReader.FilterDocsEnum, FilterAtomicReader.FilterFields, FilterAtomicReader.FilterTerms, FilterAtomicReader.FilterTermsEnum`

Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader
`IndexReader.ReaderClosedListener`

Field Summary

Fields inherited from class org.apache.lucene.index.FilterAtomicReader
`in`

Constructor Summary
`AssertingAtomicReader(AtomicReader in)`

Method Summary
`Fields` `fields()`
`BinaryDocValues` `getBinaryDocValues(String field)`
`Object` `getCombinedCoreAndDeletesKey()`
`Object` `getCoreCacheKey()`
`NumericDocValues` `getNormValues(String field)`
`NumericDocValues` `getNumericDocValues(String field)`
`SortedDocValues` `getSortedDocValues(String field)`
`SortedSetDocValues` `getSortedSetDocValues(String field)`
`Fields` `getTermVectors(int docID)`

Methods inherited from class org.apache.lucene.index.FilterAtomicReader
`doClose, document, getFieldInfos, getLiveDocs, hasDeletions, maxDoc, numDocs, toString`

Methods inherited from class org.apache.lucene.index.AtomicReader
`docFreq, getContext, hasNorms, termDocsEnum, termPositionsEnum, terms, totalTermFreq`

Methods inherited from class org.apache.lucene.index.IndexReader
`addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hashCode, incRef, leaves, numDeletedDocs, open, open, open, open, open, registerParentReader, removeReaderClosedListener, tryIncRef`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertingAtomicReader

    public AssertingAtomicReader(AtomicReader in)

Method Detail

### fields

    public Fields fields()
                  throws IOException

  Overrides:
    `fields` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getTermVectors

    public Fields getTermVectors(int docID)
                          throws IOException

  Overrides:
    `getTermVectors` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getNumericDocValues

    public NumericDocValues getNumericDocValues(String field)
                                         throws IOException

  Overrides:
    `getNumericDocValues` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getBinaryDocValues

    public BinaryDocValues getBinaryDocValues(String field)
                                       throws IOException

  Overrides:
    `getBinaryDocValues` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getSortedDocValues

    public SortedDocValues getSortedDocValues(String field)
                                       throws IOException

  Overrides:
    `getSortedDocValues` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getSortedSetDocValues

    public SortedSetDocValues getSortedSetDocValues(String field)
                                             throws IOException

  Overrides:
    `getSortedSetDocValues` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getNormValues

    public NumericDocValues getNormValues(String field)
                                   throws IOException

  Overrides:
    `getNormValues` in class `FilterAtomicReader`
  Throws:
    `IOException`

### getCoreCacheKey

    public Object getCoreCacheKey()

  Overrides:
    `getCoreCacheKey` in class `FilterAtomicReader`

### getCombinedCoreAndDeletesKey

    public Object getCombinedCoreAndDeletesKey()

  Overrides:
    `getCombinedCoreAndDeletesKey` in class `FilterAtomicReader`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.